/*
 * @Author: riverQiu
 * @Date: 2023-10-07 17:14:32
 * @LastEditors: riverQiu
 * @LastEditTime: 2023-10-10 17:00:57
 * @Description:教练接口
 */
import request from '@/utils/request';

// 查询教练列表
export function listCoach(query) {
  return request({
    url: '/sch/coach/list',
    method: 'get',
    params: query
  });
}

// 查询教练详细
export function getCoach(coachId) {
  return request({
    url: '/sch/coach/' + coachId,
    method: 'get'
  });
}

// 新增教练
export function addCoach(data) {
  return request({
    url: '/sch/coach',
    method: 'post',
    data: data
  });
}

// 修改教练
export function updateCoach(data) {
  return request({
    url: '/sch/coach',
    method: 'put',
    data: data
  });
}

// 删除教练
export function delCoach(coachId) {
  return request({
    url: '/sch/coach/' + coachId,
    method: 'delete'
  });
}

export function getAllCoaches(query){
  return request({
    url: '/sch/coach/all',
    method: 'get',
    params: query
  });
}
